dots.v2.apps.byApp_Id().rollback.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.apps.byApp_Id(app_Id).rollback.post(body: Apps_rollback_app_request, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Apps_deployment_response>Description
Rollback an app to a previous deployment. A new deployment will be created to perform the rollback. The app will be pinned to the rollback deployment preventing any new deployments from being created, either manually or through Auto Deploy on Push webhooks. To resume deployments, the rollback must be either committed or reverted.
It is recommended to use the Validate App Rollback endpoint to double check if the rollback is valid and if there are any warnings.
Parameters
Path Parameters
app_Idstring requiredExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe app ID
Request Body
deploymentIdstring optionalExample:
3aa4d20e-5527-4c00-b496-601fbd22520aThe ID of the deployment to rollback to.
skipPinboolean optionalExample:
falseWhether to skip pinning the rollback deployment. If false, the rollback deployment will be pinned and any new deployments including Auto Deploy on Push hooks will be disabled until the rollback is either manually committed or reverted via the CommitAppRollback or RevertAppRollback endpoints respectively. If true, the rollback will be immediately committed and the app will remain unpinned.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/rollback in the API reference for additional detail on responses, headers, parameters, and more.